[![Actions Status](https://github.com/code-quality-resources/eslint-config-react/workflows/CI/badge.svg)](https://github.com/code-quality-resources/eslint-config-react/actions?query=workflow%3A%22CI%22)
[![Dependabot](https://badgen.net/dependabot/code-quality-resources/eslint-config-react/224565900?icon=dependabot)](https://dependabot.com/)
[![Mergify Status](https://img.shields.io/endpoint.svg?url=https://gh.mergify.io/badges/code-quality-resources/eslint-config-react&style=flat)](https://mergify.io)

# Eslint Config React

[**eslint**](https://github.com/eslint/eslint) shareable config to help you identify and report on patterns found in your code in [react](https://github.com/facebook/react) applications.

## Plugins

This [configuration](https://github.com/code-quality-resources/eslint-config-react/blob/master/index.js) uses the following plugins:

- [`@code-quality/eslint-config-base`](https://github.com/code-quality-resources/eslint-config-base)
- [`eslint-plugin-react`](https://github.com/yannickcr/eslint-plugin-react)
- [`eslint-plugin-react-hooks`](https://www.npmjs.com/package/eslint-plugin-react-hooks)

## Install

```bash
$ yarn add eslint eslint-plugin-import @code-quality/eslint-config-react -D
```

## Usage

The shareable config can be configured in the [**eslint** configuration file](https://eslint.org/docs/user-guide/configuring):

Create a _.eslintrc.js_ file with the following contents:

```js
module.exports = {
  extends: [
    '@code-quality/eslint-config-react'
  ],
}
```
